﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Printing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using Margins = System.Drawing.Printing.Margins;

namespace ExtendedCellSelection
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            var list = new BindingList<DisplayObject>();
            list.Add(new DisplayObject());

            bindingSource1.DataSource = list;
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            if (e.Row.Band.Index == 0)
            {
                e.Row.Expanded = true;
                e.Row.Fixed = true;
            }
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            var document = new UltraGridPrintDocument
            {
                Grid = ultraGrid1
            };

            PrintDialog dlg = new PrintDialog { AllowSomePages = true, Document = document };
            if (dlg.ShowDialog() == DialogResult.OK)
                dlg.Document.Print();
        }
    }
}
